c
      subroutine axis(xpage,ypage,ibcd,nchar,axlen,angle,firstv,deltav)
c.....
c.....     xpage,ypage  coordinates of starting point of axis, in inches
c.....     ibcd         axis title.
c.....     nchar        number of characters in title. + for c.c-w side.
c.....     axlen        floating point axis length in inches.
c.....     angle        angle of axis from the x-direction, in degrees.
c.....     firstv       scale value at the first tic mark.
c.....     deltav       change in scale between tic marks one inch apart
      character * (*) ibcd
      character * 3 nbcd
      nbcd ='*10'
      kn=nchar
      a=1.0
      if (kn) 1,2,2
  1   a=-a
      kn=-kn
  2   ex=0.0
      adx= abs  (deltav)
      if (adx) 3,7,3
  3   if (adx- 99.0) 6,4,4
  4   adx=adx/10.0
      ex=ex+1.0
      go to 3
  5   adx=adx*10.0
      ex=ex-1.0
  6   if (adx-0.01) 5,7,7
  7   xval=firstv*10.0**(-ex)
      adx= deltav*10.0**(-ex)
      sth=angle*0.0174533
      cth=cos(sth)
      sth=sin(sth)
      dxb=-0.1
      dyb=0.15*a-0.05
      xn=xpage+dxb*cth-dyb*sth
      yn=ypage+dyb*cth+dxb*sth
      ntic=axlen+1.0
      nt=ntic/2
      do  20  i=1,ntic
        call numbur(xn,yn,0.105,xval,angle,2)
c        call number(xn,yn,0.105,xval,angle,2)
        xval=xval+adx
        xn=xn+cth
        yn=yn+sth
        if (nt) 20,11,20
 11       z=kn
          if (ex)  12,13,12
 12       z=z+7.0
 13       dxb=-.07*z+axlen*0.5
          dyb=0.325*a-0.075
          xt=xpage+dxb*cth-dyb*sth
          yt=ypage+dyb*cth+dxb*sth
          call symbol(xt,yt,0.14,ibcd,angle,kn)
          if (ex)  14,20,14
 14         z=kn+2
            xt=xt+z*cth*0.14
            yt=yt+z*sth*0.14
            call symbol(xt,yt,0.14, nbcd,angle,3)
            xt=xt+(3.0*cth-0.8*sth)*0.14
            yt=yt+(3.0*sth+0.8*cth)*0.14
            call numbur(xt,yt,0.07,ex,angle,-1)
c            call number(xt,yt,0.07,ex,angle,-1)
 20   nt=nt-1
      call plot(xpage+axlen*cth,ypage+axlen*sth,3)
      dxb=-0.07*a*sth
      dyb=+0.07*a*cth
      a=ntic-1
      xn=xpage+a*cth
      yn=ypage+a*sth
      do  30  i=1,ntic
        call plot(xn,yn,2)
        call plot(xn+dxb,yn+dyb,2)
        call plot(xn,yn,2)
        xn=xn-cth
        yn=yn-sth
 30   continue
      return
      end
