      subroutine justfy(s, height, itext, ntext)
c$$$$ calls chrcod
c  given the
c  text string  itext  with  ntext  characters, height  height,  this routine
c  gives 4 distances in inches, all from the left end of the string -
c  s(1)  to the left edge of the 1st nonblank character
c  s(2)  to the center of the the string, blanks removed from the ends
c  s(3)  to the right edge of the last nonblank character
c  s(4)  to the right edge of the last character of the string.
      character*350 text
      dimension s(4),ipower(3),itext(350),width(432)
      common /iwid/ width
      common /offset/ ioff,just1,just2
      common /ajust/nchr,ichr(350)
      save
      data ipower/1,1,-1/,factor/0.75/
c
      ntxt=ntext
      scale=height/21.0
      jquart=(ntext+3)/4
c  translate integer string into character variable, then get pointers
c  into the array  ichr.
c
      k=1
      do 90 j=1,jquart
      write(text(k:k+3),100)itext(j)
  90    k=k+4
 100  format(a4)
      call chrcod(text,ntxt)
c
c  count leading blanks.
      do 1100 lead=1,nchr
 1100 if(ichr(lead).ne.1000)goto 1110
      lead=ntxt
 1110 s(1)=20.0*scale*(lead-1)
      s(3)=s(1)
c
c  sum the widths of the remaining text, recalling that trailing blanks
c  were lopped off by  chrcod.
      oldwid=0.0
      do 1200 i=lead,nchr
      l=ichr(i)
      if (l.lt.1000) then
        oldwid=width(l)*scale
        s(3)=s(3) + oldwid
      endif
      if(l.eq.1000)s(3)=s(3)+20.0*scale
      if(l.ge.1001.and.l.le.1003)scale=scale*factor**ipower(l-1000)
 1200 if(l.eq.1004)s(3)=s(3)-oldwid
c
c  add on width of surplus trailing blanks.
      s(4)=s(3)+20.0*scale*(ntxt-nchr)
c
c  find center of nonblank text.
      s(2)=(s(1)+s(3))/2.0
      just2=1
      return
      end
