c
      subroutine numbur (xpage,ypage,height,fpn,angle,ndec)
c.....
c.....     xpage,ypage coordinates of lower left corner of number.
c.....     height   height of plotted number.
c.....     fpn      floating point number to be plotted.
c.....     angle    angle at which number is plotted, in degrees.
c.....     ndec     number of decimal places to be drawn.
c                   if -1, truncates to integer after rounding
c                   if <-1, truncates iabs(ndec-1) rightmost digits
c                     from fpn after rounding
c
      character * 20 num
      character * 1 minus,izero,ipoint
      integer*4 inum(5)
      data minus /'-'/,izero/'0'/,ipoint/'.'/
      save
c     izero='0'
      ii=0
      fpv = fpn
      n = ndec
      maxn = 9
      if (n - maxn) 11, 11, 10
   10 n = maxn
   11 if (n + maxn) 12, 20, 20
   12 n = -maxn
   20 if (fpv) 21, 30, 30
21    ii=ii+1
      num(ii:ii)=minus
   30 mn = -n
      if (n) 31, 32, 32
   31 mn = mn - 1
   32 fpv = abs(fpv) + (0.5 * 10. ** mn)
      i = alog10(fpv)+1.0
      ilp = i
      if (n + 1)  40, 41, 41
   40 ilp = ilp + n + 1
   41 if (ilp)  50, 50, 51
50    ii=ii+1
      num(ii:ii)=izero
      go to 61
51    if (ilp+n-18) 54,54,52
52    n=-1
      if (ilp-19) 54,54,53
53    ilp=19
54    do 60 j=1,ilp
        k = fpv * 10. ** (j - i)
      if (k-9) 57,57,55
   55   k = 9
   57 ii=ii+1
      kk = ichar(izero) + k
      num(ii:ii)=char(kk)
        fpv = fpv - (float(k) * 10. ** (i - j))
60    continue
   61 if (n) 99, 70, 70
70    ii=ii+1
      num(ii:ii)=ipoint
      if (n)  99, 99, 80
   80 do 90 j = 1, n
        k = fpv * 10.
      if (k-9) 84,84,82
   82   k = 9
   84 ii=ii+1
      kk = ichar(izero) + k
      num(ii:ii)=char(kk)
   90   fpv = fpv * 10. - float(k)
99    read (num(1:ii),'(5a4)') inum
      call symbol (xpage,ypage,height,inum,angle,ii)
      return
      end
