c
      subroutine scale (array,axlen,npts,inc)
c.....     array   name of array containing values to be scaled.
c.....     axlen   length in inches over which array is to be scaled.
c.....     npts    number of points to be scaled.
c.....     inc     increment of location of successive points.
      dimension  array(1),save(7)
      save(1)=1.0
      save(2)=2.0
      save(3)=4.0
      save(4)=5.0
      save(5)=8.0
      save(6)=10.0
      save(7)=20.
      fad=0.01
      k=iabs(inc)
      n=npts*k
      y0=array(1)
      yn=y0
      do  25  i=1,n,k
      ys=array(i)
      if  (y0-ys)  22,22,21
21    y0=ys
      go  to  25
22    if  (ys-yn)  25,25,24
24    yn=ys
25    continue
      firstv=y0
      if  (y0)  34,35,35
34    fad=fad-1.0
35    deltav=(yn-firstv)/axlen
      if (deltav) 70,70,40
40    i=alog10(deltav)+1000.0
      p=10.0**(i-1000)
      deltav=deltav/p-0.01
      do  45  i=1,6
      is=i
      if  (save(i)-deltav)  45,50,50
45    continue
50    deltav=save(is)*p
      firstv=deltav*aint(y0/deltav+fad)
      t=firstv+(axlen+0.01)*deltav
      if (t-yn)  55,57,57
 55   firstv=p*aint(y0/p+fad)
      t=firstv+(axlen+.01)*deltav
      if (t-yn) 56,57,57
 56   is=is+1
      go  to  50
57    firstv=firstv-aint((axlen+(firstv-yn)/deltav)/2.0)*deltav
      if (y0*firstv) 58,58,59
58    firstv=0.0
59    if  (inc) 61,61,65
 61   firstv=firstv+aint(axlen+.5)*deltav
      deltav=-deltav
65    n=n+1
      array(n)=firstv
      n=n+k
      array(n)=deltav
67    return
 70   deltav=2.0*firstv
      deltav=abs(deltav/axlen)+1.
      go to 40
      end
